scala.tools.nsc.typechecker.Infer.Inferencer

# toOrigin

#### object toOrigin extends Global.TypeMap

Source
  Infer.scala

Linear Supertypes
Global.TypeMap, (Global.Type) ⇒ Global.Type, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. toOrigin
2. TypeMap
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer

   Definition Classes
     TypeMap

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andThen[A](g: (Global.Type) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

5. #### def apply(tp: Global.Type): Global.Type

   Definition Classes
     toOrigin → TypeMap → Function1

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ Global.Type

   Definition Classes
     Function1
   Annotations
     @unspecialized()

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def flipped[T](body: ⇒ T): T

    Definition Classes
      TypeMap
    Annotations
      @inline()

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def mapOver(tree: Global.Tree, giveup: () ⇒ Nothing): Global.Tree

    Definition Classes
      TypeMap

17. #### def mapOver(tree: Global.Tree): Global.Tree

    Definition Classes
      TypeMap

18. #### def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo

    Definition Classes
      TypeMap

19. #### def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]

    Definition Classes
      TypeMap

20. #### def mapOver(scope: Global.Scope): Global.Scope

    Definition Classes
      TypeMap

21. #### def mapOver(tp: Global.Type): Global.Type

    Definition Classes
      TypeMap

22. #### def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      TypeMap

23. #### def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]

    Definition Classes
      TypeMap

24. #### def mapOverArgs(args: List[Global.Type], tparams: List[Global.Symbol]): List[Global.Type]

    Attributes
      protected
    Definition Classes
      TypeMap

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def noChangeToSymbols(origSyms: List[Global.Symbol]): Boolean

    Attributes
      protected
    Definition Classes
      TypeMap

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

31. #### def variance: reflect.internal.Variance

    Definition Classes
      TypeMap

32. #### def variance_=(x: reflect.internal.Variance): Unit

    Definition Classes
      TypeMap

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def withVariance[T](v: reflect.internal.Variance)(body: ⇒ T): T

    Definition Classes
      TypeMap

### Inherited from Global.TypeMap

### Inherited from (Global.Type) ⇒ Global.Type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped